Package org.eclipse.rdf4j.benchmark.jmh_generated

## Class ReasoningUpdateBenchmark_forwardChainingSchemaCachingRDFSInferencer_jmhTest

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.jmh_generated.ReasoningUpdateBenchmark_forwardChainingSchemaCachingRDFSInferencer_jmhTest

-     public final class ReasoningUpdateBenchmark_forwardChainingSchemaCachingRDFSInferencer_jmhTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReasoningUpdateBenchmark_forwardChainingSchemaCachingRDFSInferencer_jmhTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `forwardChainingSchemaCachingRDFSInferencer_AverageTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `forwardChainingSchemaCachingRDFSInferencer_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, ReasoningUpdateBenchmark_jmhType l_reasoningupdatebenchmark0_0)` |
    `static void` | `forwardChainingSchemaCachingRDFSInferencer_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, ReasoningUpdateBenchmark_jmhType l_reasoningupdatebenchmark0_0)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `forwardChainingSchemaCachingRDFSInferencer_SampleTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `forwardChainingSchemaCachingRDFSInferencer_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `forwardChainingSchemaCachingRDFSInferencer_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, ReasoningUpdateBenchmark_jmhType l_reasoningupdatebenchmark0_0)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `forwardChainingSchemaCachingRDFSInferencer_Throughput​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `forwardChainingSchemaCachingRDFSInferencer_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, ReasoningUpdateBenchmark_jmhType l_reasoningupdatebenchmark0_0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReasoningUpdateBenchmark_forwardChainingSchemaCachingRDFSInferencer_jmhTest

          public ReasoningUpdateBenchmark_forwardChainingSchemaCachingRDFSInferencer_jmhTest()

  - ### Method Detail

    - #### forwardChainingSchemaCachingRDFSInferencer_Throughput

          public org.openjdk.jmh.results.BenchmarkTaskResult forwardChainingSchemaCachingRDFSInferencer_Throughput​(org.openjdk.jmh.runner.InfraControl control,
                                                                                                                   org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                                            throws Throwable

      Throws:
        `Throwable`

    - #### forwardChainingSchemaCachingRDFSInferencer_thrpt_jmhStub

          public static void forwardChainingSchemaCachingRDFSInferencer_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                                                      org.openjdk.jmh.results.RawResults result,
                                                                                      org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                                                      org.openjdk.jmh.infra.IterationParams iterationParams,
                                                                                      org.openjdk.jmh.infra.ThreadParams threadParams,
                                                                                      org.openjdk.jmh.infra.Blackhole blackhole,
                                                                                      org.openjdk.jmh.infra.Control notifyControl,
                                                                                      int startRndMask,
                                                                                      ReasoningUpdateBenchmark_jmhType l_reasoningupdatebenchmark0_0)
                                                                               throws Throwable

      Throws:
        `Throwable`

    - #### forwardChainingSchemaCachingRDFSInferencer_AverageTime

          public org.openjdk.jmh.results.BenchmarkTaskResult forwardChainingSchemaCachingRDFSInferencer_AverageTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                                                    org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                                             throws Throwable

      Throws:
        `Throwable`

    - #### forwardChainingSchemaCachingRDFSInferencer_avgt_jmhStub

          public static void forwardChainingSchemaCachingRDFSInferencer_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                                                     org.openjdk.jmh.results.RawResults result,
                                                                                     org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                                                     org.openjdk.jmh.infra.IterationParams iterationParams,
                                                                                     org.openjdk.jmh.infra.ThreadParams threadParams,
                                                                                     org.openjdk.jmh.infra.Blackhole blackhole,
                                                                                     org.openjdk.jmh.infra.Control notifyControl,
                                                                                     int startRndMask,
                                                                                     ReasoningUpdateBenchmark_jmhType l_reasoningupdatebenchmark0_0)
                                                                              throws Throwable

      Throws:
        `Throwable`

    - #### forwardChainingSchemaCachingRDFSInferencer_SampleTime

          public org.openjdk.jmh.results.BenchmarkTaskResult forwardChainingSchemaCachingRDFSInferencer_SampleTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                                                   org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                                            throws Throwable

      Throws:
        `Throwable`

    - #### forwardChainingSchemaCachingRDFSInferencer_sample_jmhStub

          public static void forwardChainingSchemaCachingRDFSInferencer_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                                                       org.openjdk.jmh.results.RawResults result,
                                                                                       org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                                                       org.openjdk.jmh.infra.IterationParams iterationParams,
                                                                                       org.openjdk.jmh.infra.ThreadParams threadParams,
                                                                                       org.openjdk.jmh.infra.Blackhole blackhole,
                                                                                       org.openjdk.jmh.infra.Control notifyControl,
                                                                                       int startRndMask,
                                                                                       org.openjdk.jmh.util.SampleBuffer buffer,
                                                                                       int targetSamples,
                                                                                       long opsPerInv,
                                                                                       int batchSize,
                                                                                       ReasoningUpdateBenchmark_jmhType l_reasoningupdatebenchmark0_0)
                                                                                throws Throwable

      Throws:
        `Throwable`

    - #### forwardChainingSchemaCachingRDFSInferencer_SingleShotTime

          public org.openjdk.jmh.results.BenchmarkTaskResult forwardChainingSchemaCachingRDFSInferencer_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                                                       org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                                                throws Throwable

      Throws:
        `Throwable`

    - #### forwardChainingSchemaCachingRDFSInferencer_ss_jmhStub

          public static void forwardChainingSchemaCachingRDFSInferencer_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                                                   org.openjdk.jmh.results.RawResults result,
                                                                                   org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                                                   org.openjdk.jmh.infra.IterationParams iterationParams,
                                                                                   org.openjdk.jmh.infra.ThreadParams threadParams,
                                                                                   org.openjdk.jmh.infra.Blackhole blackhole,
                                                                                   org.openjdk.jmh.infra.Control notifyControl,
                                                                                   int startRndMask,
                                                                                   int batchSize,
                                                                                   ReasoningUpdateBenchmark_jmhType l_reasoningupdatebenchmark0_0)
                                                                            throws Throwable

      Throws:
        `Throwable`